// pages/regular_msg/regular_msg.js
import international from "../../international/appointment_scence/index";
const { getUserInfoVO } = require("../../utils/api/api");
const app = getApp();
// import QRCode from '../../utils/util/weapp-qrcode'
Page({
    /**
     * 页面的初始数据
     */
    data: {
        userInfo: null,
        international: international,
        //国际化语言包
        language: app.data.language,
        msg: [
            {
                label_ch: "认证时间",
                label_en: "The authentication time",
                value: "2021-10-13 13:00",
                type: "text"
            },
            {
                label_ch: "认证人员",
                label_en: "Certification of personnel",
                value: "吴易",
                type: "text"
            },
            {
                label_ch: "手机号",
                label_en: "Mobile phone",
                value: "18232834792",
                type: "text"
            },
            {
                label_ch: "身份证号",
                label_en: "Id number",
                value: "331004198410230963",
                type: "text"
            }
        ],
        qrCodeUrl: "www.baidu.com"
    },
    getUserInfoVO() {
        let userId = this.data.userInfo.userId;
        getUserInfoVO({
            userId
        }).then(res => {
            this.setData({
                userInfo: res.data
            });
        });
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function(options) {
        let userInfo = app.data.userInfo;
        this.setData({
            userInfo
        });
        this.getUserInfoVO();
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function() {},
    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {},
    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function() {},
    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {},
    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function() {},
    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function() {},
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function() {}
});
